#!/bin/sh

# User-controllable options
grub_modinfo_target_cpu=i386
grub_modinfo_platform=pc
grub_disk_cache_stats=0
grub_boot_time_stats=0
grub_have_font_source=0

# Autodetected config
grub_have_asm_uscore=0
grub_bss_start_symbol="__bss_start"
grub_end_symbol="end"

# Build environment
grub_target_cc='/usr/bin/ccache /bin/gcc'
grub_target_cc_version='gcc (Radix 1.0.0) 12.2.0'
grub_target_cflags='-std=gnu99 -isystem /usr/include -Os -march=i586 -mtune=i586 -D__HARDWARE__=0010 -DBONE_BLACK=0700 -DVISIONFIVE2=1B02 -DPOIN2=0C02 -DCI20=0901 -DDRA7XXEVM=0802 -DOKMX6Q_C=0603 -DP212=1401 -DKHADAS_VIM2=1503 -DSIFIVE_U740=1B01 -DCB2N=0200 -DTL2WK2_LSB=1901 -DODROID_C2=1204 -DORANGE_PI5=0F02 -DORANGE_PI5B=0F03 -DTL2SV2=1A00 -DORANGE_PP2E=0F01 -DWECHIP_TX6=1003 -DLEEZ_P710=0E02 -DMXV=1102 -DTL2WK2=1900 -DFFRK3288=0C01 -DKHADAS_EDGE=0E01 -DOMAP5UEVM=0801 -DINTEL_PC64M=0008 -DOKMX6DL_C=0602 -DRK3328_CC=0D01 -DEBOX_3350DX2=0010 -DNANOPI_NEO=0D02 -DREPKA_PI3=1004 -DORANGE_PL2=1002 -DROCK_5B=0F05 -DINTEL_PC32M=0004 -DQ201=1501 -DSK6ULL=0604 -DAT91S=0400 -DENYBOX_X2=1502 -DVESNIN_LSB=1801 -DCB3X=0301 -DTL2SV2_LSB=1A01 -DCB1N=0100 -DS824L_LSB=1701 -DKHADAS_VIM=1402 -DS824L=1700 -DBAIKAL_T1=0A01 -DVESNIN=1800 -DCB3N=0300 -DORANGE_PI5P=0F04 -DEBOX_3350DX2M=0011 -DNEXBOX_A95X=1202 -DCB1X=0101 -DINTEL_PC64=0002 -DBAIKAL_M1=0B01 -DINTEL_PC32=0001 -DNIT6Q=0601 -DM201=1101 -DP201=1201 -DCB2X=0201 -DORANGE_PP=1001 -DKHADAS_VIM3=1600 -m32 -Wall -W -Wshadow -Wpointer-arith -Wundef -Wchar-subscripts -Wcomment -Wdeprecated-declarations -Wdisabled-optimization -Wdiv-by-zero -Wfloat-equal -Wformat-extra-args -Wformat-security -Wformat-y2k -Wimplicit -Wimplicit-function-declaration -Wimplicit-int -Wmain -Wmissing-braces -Wmissing-format-attribute -Wmultichar -Wparentheses -Wreturn-type -Wsequence-point -Wshadow -Wsign-compare -Wswitch -Wtrigraphs -Wunknown-pragmas -Wunused -Wunused-function -Wunused-label -Wunused-parameter -Wunused-value  -Wunused-variable -Wwrite-strings -Wnested-externs -Wstrict-prototypes -g -Wredundant-decls -Wmissing-prototypes -Wmissing-declarations  -Wextra -Wattributes -Wendif-labels -Winit-self -Wint-to-pointer-cast -Winvalid-pch -Wmissing-field-initializers -Wnonnull -Woverflow -Wvla -Wpointer-to-int-cast -Wstrict-aliasing -Wvariadic-macros -Wvolatile-register-var -Wpointer-sign -Wmissing-include-dirs -Wmissing-prototypes -Wmissing-declarations -Wformat=2 -march=i386 -mrtd -mregparm=3 -falign-jumps=1 -falign-loops=1 -falign-functions=1 -freg-struct-return -mno-mmx -mno-sse -mno-sse2 -mno-sse3 -mno-3dnow -msoft-float -fno-dwarf2-cfi-asm -mno-stack-arg-probe -fno-asynchronous-unwind-tables -fno-unwind-tables -fno-ident -fno-stack-protector -Wtrampolines'
grub_target_cppflags=' -Wall -W  -DGRUB_MACHINE_PCBIOS=1 -DGRUB_MACHINE=I386_PC -m32 -nostdinc -isystem /usr/lib/gcc/i586-radix-linux-gnu/12.2.0/include -I$(top_srcdir)/include -I$(top_builddir)/include'
grub_target_ccasflags=' -m32 -g  -msoft-float'
grub_target_ldflags='-m32 -Wl,-melf_i386 -Wl,--build-id=none'
grub_cflags='-I. -I/usr/include -g -Os -march=i586 -mtune=i586 -D__I586_GLIBC__=1 -D__HARDWARE__=0010 -DBONE_BLACK=0700 -DVISIONFIVE2=1B02 -DPOIN2=0C02 -DCI20=0901 -DDRA7XXEVM=0802 -DOKMX6Q_C=0603 -DP212=1401 -DKHADAS_VIM2=1503 -DSIFIVE_U740=1B01 -DCB2N=0200 -DTL2WK2_LSB=1901 -DODROID_C2=1204 -DORANGE_PI5=0F02 -DORANGE_PI5B=0F03 -DTL2SV2=1A00 -DORANGE_PP2E=0F01 -DWECHIP_TX6=1003 -DLEEZ_P710=0E02 -DMXV=1102 -DTL2WK2=1900 -DFFRK3288=0C01 -DKHADAS_EDGE=0E01 -DOMAP5UEVM=0801 -DINTEL_PC64M=0008 -DOKMX6DL_C=0602 -DRK3328_CC=0D01 -DEBOX_3350DX2=0010 -DNANOPI_NEO=0D02 -DREPKA_PI3=1004 -DORANGE_PL2=1002 -DROCK_5B=0F05 -DINTEL_PC32M=0004 -DQ201=1501 -DSK6ULL=0604 -DAT91S=0400 -DENYBOX_X2=1502 -DVESNIN_LSB=1801 -DCB3X=0301 -DTL2SV2_LSB=1A01 -DCB1N=0100 -DS824L_LSB=1701 -DKHADAS_VIM=1402 -DS824L=1700 -DBAIKAL_T1=0A01 -DVESNIN=1800 -DCB3N=0300 -DORANGE_PI5P=0F04 -DEBOX_3350DX2M=0011 -DNEXBOX_A95X=1202 -DCB1X=0101 -DINTEL_PC64=0002 -DBAIKAL_M1=0B01 -DINTEL_PC32=0001 -DNIT6Q=0601 -DM201=1101 -DP201=1201 -DCB2X=0201 -DORANGE_PP=1001 -DKHADAS_VIM3=1600'
grub_cppflags=' -D_FILE_OFFSET_BITS=64'
grub_ccasflags='-I. -I/usr/include -g -Os -march=i586 -mtune=i586 -D__I586_GLIBC__=1 -D__HARDWARE__=0010 -DBONE_BLACK=0700 -DVISIONFIVE2=1B02 -DPOIN2=0C02 -DCI20=0901 -DDRA7XXEVM=0802 -DOKMX6Q_C=0603 -DP212=1401 -DKHADAS_VIM2=1503 -DSIFIVE_U740=1B01 -DCB2N=0200 -DTL2WK2_LSB=1901 -DODROID_C2=1204 -DORANGE_PI5=0F02 -DORANGE_PI5B=0F03 -DTL2SV2=1A00 -DORANGE_PP2E=0F01 -DWECHIP_TX6=1003 -DLEEZ_P710=0E02 -DMXV=1102 -DTL2WK2=1900 -DFFRK3288=0C01 -DKHADAS_EDGE=0E01 -DOMAP5UEVM=0801 -DINTEL_PC64M=0008 -DOKMX6DL_C=0602 -DRK3328_CC=0D01 -DEBOX_3350DX2=0010 -DNANOPI_NEO=0D02 -DREPKA_PI3=1004 -DORANGE_PL2=1002 -DROCK_5B=0F05 -DINTEL_PC32M=0004 -DQ201=1501 -DSK6ULL=0604 -DAT91S=0400 -DENYBOX_X2=1502 -DVESNIN_LSB=1801 -DCB3X=0301 -DTL2SV2_LSB=1A01 -DCB1N=0100 -DS824L_LSB=1701 -DKHADAS_VIM=1402 -DS824L=1700 -DBAIKAL_T1=0A01 -DVESNIN=1800 -DCB3N=0300 -DORANGE_PI5P=0F04 -DEBOX_3350DX2M=0011 -DNEXBOX_A95X=1202 -DCB1X=0101 -DINTEL_PC64=0002 -DBAIKAL_M1=0B01 -DINTEL_PC32=0001 -DNIT6Q=0601 -DM201=1101 -DP201=1201 -DCB2X=0201 -DORANGE_PP=1001 -DKHADAS_VIM3=1600'
grub_ldflags='-L/lib -L/usr/lib'
grub_target_strip='/bin/strip'
grub_target_nm='/bin/nm'
grub_target_ranlib='/bin/ranlib'
grub_target_objconf=''
grub_target_obj2elf=''
grub_target_img_base_ldopt='-Wl,-Ttext'
grub_target_img_ldflags=''

# Version
grub_version="2.06"
grub_package="grub"
grub_package_string="GRUB 2.06"
grub_package_version="2.06"
grub_package_name="GRUB"
grub_package_bugreport="bug-grub@gnu.org"
